import { post } from '@/api/http'
export default {
    // 保存研修活动
    saveTrain: function (data) {
        return post('/common/study/save', data)
    },
    // 删除研修活动
    delTrain: function (data) {
        return post('/common/study/delete', data)
    },
    // 查询研修活动
    findTrainList: function (data) {
        return post('/common/study/find', data)
    },
    // 查询研修活动
    findSummaryTrain: function (data) {
        return post('/common/study/find-summary', data)
    },
    // 查询研修活动
    findTrainByTeacher: function (data) {
        return post('/common/study/find-by-teacher', data)
    },
    // 根据活动id 查询信息
    findTrainById: function (data) {
        return post("/common/study/find-summary-by-teacher", data)
    },
    // 上传作业
    uploadHw: function (data) {
        return post("/common/work/record-in", data)
    },
    // 签到
    signIn: function (data) {
        return post("/common/study/sign-in", data)
    },
    //区级研修
	saveAreaTrain: function (data) {
		return post('/school/area/save-study', data)
	},
	findAreaTrain: function (data) {
		return post('/school/area/find-all-study', data)
	},
    //查看区级活动对应的所有学校活动
    findAreaAllTrain: function (data) {
		return post('/school/area/find-all-study-teachers', data)
	},
    //删除区级活动
    delAreaTrain: function (data) {
		return post('/school/area/delete', data)
	},

}

